#ifndef WATCHDOGCTRL_H
#define WATCHDOGCTRL_H

#include "GlobalDefine.h"
#include <sys/types.h>
#include <termios.h>
#include <unistd.h>
#include <stdio.h>
#include <errno.h>
#include <sys/stat.h>
#include <fcntl.h>

class CWatchdogCtrl
{
public:
    CWatchdogCtrl(bool UseWatchdog = true);
    ~CWatchdogCtrl();

    int StartWatchdog();
    int KickWatchdog();
    int StopWatchdog();

private:
    int fd;
    bool mUseWatchdog;
};

#endif // WATCHDOGCTRL_H
